net.sourceforge.pmd.dcd.asm

## Class TypeSignatureVisitor

- java.lang.Object
- - net.sourceforge.pmd.dcd.asm.PrintVisitor
  - - net.sourceforge.pmd.dcd.asm.TypeSignatureVisitor

- All Implemented Interfaces:
    org.objectweb.asm.signature.SignatureVisitor

      public class TypeSignatureVisitor
      extends PrintVisitor
      implements org.objectweb.asm.signature.SignatureVisitor

- - ### Field Summary

    - ### Fields inherited from interface org.objectweb.asm.signature.SignatureVisitor

      `EXTENDS, INSTANCEOF, SUPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeSignatureVisitor()`
    `TypeSignatureVisitor(PrintVisitor parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getFieldType()`
    `Class<?>[]` | `getMethodParameterTypes()`
    `Class<?>` | `getMethodReturnType()`
    `void` | `init()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitArrayType()`
    `void` | `visitBaseType(char descriptor)`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitClassBound()`
    `void` | `visitClassType(String name)`
    `void` | `visitEnd()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitExceptionType()`
    `void` | `visitFormalTypeParameter(String name)`
    `void` | `visitInnerClassType(String name)`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitInterface()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitInterfaceBound()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitParameterType()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitReturnType()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitSuperclass()`
    `void` | `visitTypeArgument()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitTypeArgument(char wildcard)`
    `void` | `visitTypeVariable(String name)`

    - ### Methods inherited from class net.sourceforge.pmd.dcd.asm.PrintVisitor

      `println, printlnIndent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeSignatureVisitor

          public TypeSignatureVisitor()

    - #### TypeSignatureVisitor

          public TypeSignatureVisitor(PrintVisitor parent)

  - ### Method Detail

    - #### init

          public void init()

    - #### getFieldType

          public Class<?> getFieldType()

    - #### getMethodReturnType

          public Class<?> getMethodReturnType()

    - #### getMethodParameterTypes

          public Class<?>[] getMethodParameterTypes()

    - #### visitArrayType

          public org.objectweb.asm.signature.SignatureVisitor visitArrayType()

      Specified by:
        `visitArrayType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitBaseType

          public void visitBaseType(char descriptor)

      Specified by:
        `visitBaseType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitClassBound

          public org.objectweb.asm.signature.SignatureVisitor visitClassBound()

      Specified by:
        `visitClassBound` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitClassType

          public void visitClassType(String name)

      Specified by:
        `visitClassType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitEnd

          public void visitEnd()

      Specified by:
        `visitEnd` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitExceptionType

          public org.objectweb.asm.signature.SignatureVisitor visitExceptionType()

      Specified by:
        `visitExceptionType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitFormalTypeParameter

          public void visitFormalTypeParameter(String name)

      Specified by:
        `visitFormalTypeParameter` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInnerClassType

          public void visitInnerClassType(String name)

      Specified by:
        `visitInnerClassType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInterface

          public org.objectweb.asm.signature.SignatureVisitor visitInterface()

      Specified by:
        `visitInterface` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInterfaceBound

          public org.objectweb.asm.signature.SignatureVisitor visitInterfaceBound()

      Specified by:
        `visitInterfaceBound` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitParameterType

          public org.objectweb.asm.signature.SignatureVisitor visitParameterType()

      Specified by:
        `visitParameterType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitReturnType

          public org.objectweb.asm.signature.SignatureVisitor visitReturnType()

      Specified by:
        `visitReturnType` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitSuperclass

          public org.objectweb.asm.signature.SignatureVisitor visitSuperclass()

      Specified by:
        `visitSuperclass` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitTypeArgument

          public void visitTypeArgument()

      Specified by:
        `visitTypeArgument` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitTypeArgument

          public org.objectweb.asm.signature.SignatureVisitor visitTypeArgument(char wildcard)

      Specified by:
        `visitTypeArgument` in interface `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitTypeVariable

          public void visitTypeVariable(String name)

      Specified by:
        `visitTypeVariable` in interface `org.objectweb.asm.signature.SignatureVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.